<?php
function steampunk_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport = 'postMessage';

	// Social Media Icons

	$wp_customize->add_section(
		'brutalistthemes_social_media_section',
		array(
			'title'    => __( 'Social Media Icons', 'steampunk-lite' ),
			'priority' => 1,
		)
	);

	$wp_customize->add_setting(
		'brutalistthemes_social_media_twitter_setting',
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
			'transport'         => 'refresh',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'brutalistthemes_social_media_twitter_control',
			array(
				'label'    => __( 'Twitter URL', 'steampunk-lite' ),
				'section'  => 'brutalistthemes_social_media_section',
				'settings' => 'brutalistthemes_social_media_twitter_setting',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'brutalistthemes_social_media_facebook_setting',
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
			'transport'         => 'refresh',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'brutalistthemes_social_media_facebook_control',
			array(
				'label'    => __( 'Facebook URL', 'steampunk-lite' ),
				'section'  => 'brutalistthemes_social_media_section',
				'settings' => 'brutalistthemes_social_media_facebook_setting',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'brutalistthemes_social_media_instagram_setting',
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
			'transport'         => 'refresh',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize, 'brutalistthemes_social_media_instagram_control',
			array(
				'label'    => __( 'Instagram URL', 'steampunk-lite' ),
				'section'  => 'brutalistthemes_social_media_section',
				'settings' => 'brutalistthemes_social_media_instagram_setting',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'brutalistthemes_social_media_pinterest_setting',
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
			'transport'         => 'refresh',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize, 'brutalistthemes_social_media_pinterest_control',
			array(
				'label'    => __( 'Pinterest URL', 'steampunk-lite' ),
				'section'  => 'brutalistthemes_social_media_section',
				'settings' => 'brutalistthemes_social_media_pinterest_setting',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'brutalistthemes_social_media_etsy_setting',
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
			'transport'         => 'refresh',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize, 'brutalistthemes_social_media_etsy_control', array(
				'label'    => __( 'Etsy URL', 'steampunk-lite' ),
				'section'  => 'brutalistthemes_social_media_section',
				'settings' => 'brutalistthemes_social_media_etsy_setting',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'brutalistthemes_social_media_snapchat_setting',
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
			'transport'         => 'refresh',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize, 'brutalistthemes_social_media_snapchat_control', array(
				'label'    => __( 'Snapchat URL', 'steampunk-lite' ),
				'section'  => 'brutalistthemes_social_media_section',
				'settings' => 'brutalistthemes_social_media_snapchat_setting',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'brutalistthemes_social_media_bloglovin_setting',
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
			'transport'         => 'refresh',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize, 'brutalistthemes_social_media_bloglovin_control', array(
				'label'    => __( 'Bloglovin URL', 'steampunk-lite' ),
				'section'  => 'brutalistthemes_social_media_section',
				'settings' => 'brutalistthemes_social_media_bloglovin_setting',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'brutalistthemes_social_media_youtube_setting',
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
			'transport'         => 'refresh',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'brutalistthemes_social_media_youtube_control',
			array(
				'label'    => __( 'YouTube URL', 'steampunk-lite' ),
				'section'  => 'brutalistthemes_social_media_section',
				'settings' => 'brutalistthemes_social_media_youtube_setting',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'brutalistthemes_social_media_googleplus_setting',
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
			'transport'         => 'refresh',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'brutalistthemes_social_media_googleplus_control',
			array(
				'label'    => __( 'Google+ URL', 'steampunk-lite' ),
				'section'  => 'brutalistthemes_social_media_section',
				'settings' => 'brutalistthemes_social_media_googleplus_setting',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'brutalistthemes_social_media_rss_setting',
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
			'transport'         => 'refresh',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'brutalistthemes_social_media_rss_control',
			array(
				'label'    => __( 'RSS', 'steampunk-lite' ),
				'section'  => 'brutalistthemes_social_media_section',
				'settings' => 'brutalistthemes_social_media_rss_setting',
				'type'     => 'text',
			)
		)
	);
}

add_action( 'customize_register', 'steampunk_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function steampunk_customize_preview_js() {
	wp_enqueue_script( 'steampunk_customizer', get_template_directory_uri() . '/dash-js/customizer.dash-js', array( 'customize-preview' ), '20130508', true );
}

add_action( 'customize_preview_init', 'steampunk_customize_preview_js' );
